## dotdrop 1.12.2

=== debian/changelog ===
dotdrop (1.12.2-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: bump Standards-Version to 4.6.2.
  * debian/copyright: update packaging copyright years.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Fri, 20 Jan 2023 09:27:00 -0300

dotdrop (1.12.2-1) experimental; urgency=medium

  * Initial release. (Closes: #1023736)

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Wed, 21 Dec 2022 07:33:12 -0300

## dotdrop 1.12.9

=== requirements.txt ===
Jinja2; python_version > '3.5'
docopt; python_version > '3.5'
ruamel.yaml; python_version > '3.5'
python-magic; python_version > '3.5'
packaging; python_version > '3.5'
requests; python_version > '3.5'
toml; python_version > '3.5'
distro; python_version > '3.5'

=== debian/changelog ===
dotdrop (1.12.9-1) unstable; urgency=medium

  * New upstream version 1.12.9.
  * debian/copyright:
      - Removed rights for debian/manpage/create-man.sh.
      - Updated upstream copyright years.
  * debian/manpage/: removed. The upstream is providing a manpage now.
  * debian/manpages: updated to install the upstream a manpage.
  * debian/source/lintian-overrides: removed. The problem was solved.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Wed, 25 Jan 2023 19:10:02 -0300

=== debian/control ===
Source: dotdrop
Section: misc
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-setuptools,
               python3-all,
               python3-distro,
               python3-toml,
               python3-requests,
               python3-packaging,
               python3-magic,
               python3-ruamel.yaml,
               python3-docopt,
               python3-jinja2,
               python3-pytest <!nocheck>,
               bash-completion,
Standards-Version: 4.6.2
Homepage: https://github.com/deadc0de6/dotdrop
Vcs-Browser: https://salsa.debian.org/python-team/packages/dotdrop
Vcs-Git: https://salsa.debian.org/python-team/packages/dotdrop.git

Package: dotdrop
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends}
Description: save your dotfiles once deploy them everywhere
 This program makes the management of dotfiles between different hosts easy.
 It allows you to store your dotfiles in Git and automagically deploy
 different versions of the same file on different setups.
 .
 It also allows manage different sets of dotfiles. For example, you can have
 a set of dotfiles for your home laptop and a different set for your office
 desktop. Those sets may overlap, and different versions of the same dotfiles
 can be deployed using different predefined profiles. Or you may have a main
 set of dotfiles for your everyday host and a subset you only need to deploy
 to temporary hosts (cloud VM etc.) that may be using a slightly different
 version of some of the dotfiles.

## dotdrop 1.15.0

=== requirements.txt ===
Jinja2; python_version > '3.5'
docopt-ng; python_version > '3.5'
ruamel.yaml; python_version > '3.5'
python-magic; python_version > '3.5'
packaging; python_version > '3.5'
requests; python_version > '3.5'
tomli; python_version > '3.5' and python_version < '3.11'
tomli_w; python_version > '3.5'
distro; python_version > '3.5'

=== debian/changelog ===
dotdrop (1.15.0-2) unstable; urgency=medium

  * Team Upload
  * Drop python3-tomli build-dependency
  * Add d/gbp.conf

 -- Alexandre Detiste <tchet@debian.org>  Mon, 28 Jul 2025 13:48:23 +0200

dotdrop (1.15.0-1) unstable; urgency=medium

  * New upstream version 1.15.0.
  * debian/control:
      - Bump Standards-Version to 4.7.0.
      - Update Build-Depends field according to the new upstream version.
  * debian/copyright: update copyright years.

 -- Guilherme de Paula Xavier Segundo <guilherme.lnx@gmail.com>  Fri, 24 Jan 2025 07:35:15 -0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3-setuptools,
                python3-all,
                python3-distro,
-               python3-toml,
+               python3-tomli-w,
                python3-requests,
                python3-packaging,
                python3-magic,
@@ -18,7 +18,7 @@
                python3-jinja2,
                python3-pytest <!nocheck>,
                bash-completion,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/deadc0de6/dotdrop
 Vcs-Browser: https://salsa.debian.org/python-team/packages/dotdrop
 Vcs-Git: https://salsa.debian.org/python-team/packages/dotdrop.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=dotdrop

%:
	dh $@ --buildsystem=pybuild --with bash-completion

=== debian/watch ===
version=4
https://github.com/deadc0de6/dotdrop/tags  .*/tags/v?(\d\S+)@ARCHIVE_EXT@
